@echo off
echo Stopping any running API instances...
taskkill /f /im python.exe /t > nul 2>&1

echo Restarting Swiss Ephemeris API...
cd /d "%~dp0"
start "" cmd /c start_api.bat

echo Waiting for the API to start...
timeout /t 5 /nobreak > nul

echo Testing the API health check endpoint...
curl -s http://localhost:8000/health

echo.
echo If you see a successful response above, the API is working correctly.
echo The API is available at http://localhost:8000/docs
